Subject: [ltt-dev] LTTng 2.0 on ARM

From: [email-masked] (Jon Medhurst (Tixy))
Date: Sat, 17 Sep 2011 15:34:42 +0100

On Fri, 2011-09-16 at 17:25 +0100, Dave Martin wrote:
> On Wed, Sep 14, 2011 at 05:27:08PM +0100, Jon Medhurst (Tixy) wrote:
> > This is the same issue I found recently with kprobes [1]. There is also
> > an inconsistency as function symbols in loadable module do have bit zero
> > set, but if the module is built-in then bit zero is clear. 
> 
> Does that mean that some different infrastructure is used to get the module
> symbols compared with kallsyms?

Yes, there's different infrastructure to handle symbols in loadable
modules compared to those in the kernel binary. I mentioned this in [1],
or in your Linaro inbox on 29th Aug ;-)

>   That feels nasty -- they should at least
> be consistent...

I agree, getting them consistent would solve half the problem.

-- 
Tixy

[1] http://www.spinics.net/lists/arm-kernel/msg138283.html